LINUX.ORG.RU

Поддерка FTDI-based программаторов в avrdude

 , , , ,


0

3

Спаял breakout на FT232RL, хочу использовать в качестве AVR-программатора.
Для avrdude 5.10 есть волшебный патч, который работает.
Но вся беда в том, что я хочу использовать 5.11, где в чейнджлоге указано:

FTDI MPSSE (FT2232 etc.) bitbang support
Если я правильно понимаю, что такое MPSSE, то это то, что мне нужно. У кого-нибудь есть опыт программирования avr'ок при помощи FT232? Поделитесь конфигом!

★★★★★

ну так в патче же наверняка он есть

rimsleur ()

FT232RL не имеет MPSSE. Для этого нужно FT2232D или FT2232H. А для них настройки в конф-файле 5.11 имеются:

programmer
  id	= "avrftdi";
  desc	= "FT2232D based generic programmer";
  type	= avrftdi;
...
programmer
  id	= "2232HIO";
  desc	= "FT2232H based generic programmer";
  type	= avrftdi;
...

Тебе же нужно добавить для своей микросхемы. Возможно помогут настройки из этого гайда

а именно:

programmer
  id    = "ftdi";
  desc  = "SparkFun FTDI Basic Breakout";
  type  = ft245r;
  miso  = 1;  # RXD
  sck   = 3;  # CTS
  mosi  = 0;  # TXD
  reset = 4;  # DTR
...
поскольку там в самом начале написано следующее:

Programming an ATmega168 using SparkFun's FTDI Basic Breakout. This guide works for other FT232R-based devices as well.

rimsleur ()
Ответ на: комментарий от rimsleur

Да, всё верно, я уже и сам нагуглил. Только второй кусок конфига подойдёт только для патченой версии.
Так что лучше я буду использовать версию 5.10 с патчем или действительно займусь адаптацией патча под 5.11.
В любом случае, спасибо за ответ.

CYB3R ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.